#### PyKDE - Python Bindings for KDE

# class KABC.LdapObject |
Table of contents
Modules
kabc Classes
All Classes

Module | kabc
Class | KABC.LdapObject
Inherits |

### methods

- LdapObject ()

  returns a LdapObject instance
  In versions KDE 3.1.0 and above only

- LdapObject (_dn, _cl)

  returns a LdapObject instance
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  _dn | QString |
  _cl | KABC.LdapClient |

- LdapObject (that)

  returns a LdapObject instance
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  that | KABC.LdapObject |

- LdapObject (a0)

  returns a LdapObject instance
  In versions less than KDE 3.3.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | QString |

- assign (that)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  that | KABC.LdapObject |

- clear ()

  returns nothing
  In versions KDE 3.1.0 and above only

- toString ()

  returns (QString)
  In versions KDE 3.1.0 and above only

### variables

- variables

  Variable | Type
  --- | ---
  attrs | LdapAttrMap
  client | KABC::LdapClient*
  dn | QString